Skip to navigation

List web form configurations

View as Markdown

The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether the Web Forms API is available for your production account plan.

This method returns a list of web form configurations for a given account. Use the query parameters to sort and filter the response.

Required authentication scopes: signature, webforms_read.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account to which the web form belongs.

Query parameters

user_filterenumOptionalDefaults to all

Set to owned_by_me to return only forms owned by the authenticated user. By default, all forms are returned.

Allowed values:
is_standalonebooleanOptional

Set to true or false to filter by whether forms are stand-alone (not tied to a template). By default, all forms are returned.

is_publishedbooleanOptional

When true, only published forms are returned. By default, published and unpublished forms are both returned.

sort_bystringOptional<=50 characters

Sorts the results. You can sort by the time that the web forms were created or last modified, in descending or ascending order. Valid values:

  • lastModifiedDateTime:desc (default)
  • lastModifiedDateTime:asc
  • createdDateTime:desc
  • createdDateTime:asc
searchstringOptional

When set, filters results by whether each web form configuration contains the given text in its formProperties.name property.

start_positionstringOptional

The zero-based index of the result from which to start returning results.

Use with count to limit the number of results.

The default value is 0.

countstringOptional

The maximum number of results to return.

Use start_position to specify the number of results to skip.

Response

A list of forms assigned to the account
itemslist of objectsOptional
A list of objects describing individual web form configurations.
resultSetSizedoubleOptional
The number of web form configurations returned for the current page.
totalSetSizedoubleOptional
The total number of web form configurations.
startPositiondoubleOptional
The starting index position of the current result set.
endPositiondoubleOptional
The last index position in the result set.
nextUrlstringOptional
The URI for the next chunk of web form configurations. It is an empty string if this is the last set of results.
previousUrlstringOptional
The URI for the previous chunk of web form configurations. It is an empty string if this is the first set of results.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error